Package pyplusplus :: Package decl_wrappers :: Module indexing_suite2 :: Class indexing_suite2_t

# type indexing_suite2_t

source code

    object --+
             |
            indexing_suite2_t

This class helps user to export STD containers, using Boost.Python indexing suite V2.

Instance Methods

__init__(self, container_class) | source code

get_use_container_suite(self) | source code

set_use_container_suite(self, value) | source code

disable_method(self, method_name) Disable method from being exposed | source code

enable_method(self, method_name) Enable method to be exposed | source code

disable_methods_group(self, group_name) Disable methods group from being exposed | source code

enable_methods_group(self, group_name) Enable methods group to be exposed | source code

Class Variables
| METHODS = ``(``'``len``'``,` `'``iter``'``,` `'``getitem``'``,` `'``getitem_slice``'``,` `'``index``'``,``...``
| METHOD_GROUPS = ``{``'``insert``'``:` `(``'``method_append``'``,` `'``method_insert``'``,` `...``

Properties
| use_container_suite
| container_class reference to the parent( STD container ) class
| element_type reference to container value_type( mapped_type ) type
| container_traits reference to container traits.
| call_policies
| disable_methods list of all disabled methods
| disabled_methods_groups list of all disabled methods group
| include_files Return list of header files to be included in generated code

Method Details

### __init__(self, container_class)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### METHODS

Value:

      ('len',
       'iter',
       'getitem',
       'getitem_slice',
       'index',
       'contains',
       'count',
       'has_key',
      ...

### METHOD_GROUPS

Value:

      {'insert': ('method_append', 'method_insert', 'method_extend'),
       'reorder': ('method_sort', 'method_reverse'),
       'search': ('method_index',
                  'method_contains',
                  'method_count',
                  'method_has_key'),
       'slice': ('method_getitem_slice',
                 'method_setitem_slice',
      ...

Property Details

### use_container_suite

Get Method:
  get_use_container_suite(self)
Set Method:
  set_use_container_suite(self, value)

### container_class

reference to the parent( STD container ) class

### element_type

reference to container value_type( mapped_type ) type

### container_traits

reference to container traits. See pygccxml documentation for more information.

### call_policies

Get Method:
  _get_call_policies(self)
Set Method:
  _set_call_policies(self, call_policies)

### disable_methods

list of all disabled methods

Get Method:
  _get_disabled_methods(self)

### disabled_methods_groups

list of all disabled methods group

Get Method:
  _get_disabled_methods_groups(self)

### include_files

Return list of header files to be included in generated code